JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Base64 Struct Reference
juce_core » text

Contains some static methods for converting between binary and the standard base-64 encoding format. More...

`#include <juce_Base64.h>`

## Static Public Member Functions
static bool | convertToBase64 (OutputStream &base64Result, const void *sourceData, size_t sourceDataSize)
| Converts a binary block of data into a base-64 string.
static bool | convertFromBase64 (OutputStream &binaryOutput, StringRef base64TextInput)
| Converts a base-64 string back to its binary representation.
static String | toBase64 (const void *sourceData, size_t sourceDataSize)
| Converts a block of binary data to a base-64 string.
static String | toBase64 (const String &textToEncode)
| Converts a string's UTF-8 representation to a base-64 string.

## Detailed Description

Contains some static methods for converting between binary and the standard base-64 encoding format.

## Member Function Documentation

## ◆ convertToBase64()

static bool Base64::convertToBase64 | ( | OutputStream & | base64Result,
|  | const void * | sourceData,
|  | size_t | sourceDataSize )
| static

Converts a binary block of data into a base-64 string.

This will write the resulting string data to the given stream. If a write error occurs with the stream, the method will terminate and return false.

## ◆ convertFromBase64()

static bool Base64::convertFromBase64 | ( | OutputStream & | binaryOutput,
|  | StringRef | base64TextInput )
| static

Converts a base-64 string back to its binary representation.

This will write the decoded binary data to the given stream. If the string is not valid base-64, the method will terminate and return false.

## ◆ toBase64() [1/2]

static String Base64::toBase64 | ( | const void * | sourceData,
|  | size_t | sourceDataSize )
| static

Converts a block of binary data to a base-64 string.

## ◆ toBase64() [2/2]

static String Base64::toBase64 | ( | const String & | textToEncode | ) |
| static

Converts a string's UTF-8 representation to a base-64 string.

The documentation for this struct was generated from the following file:

- juce_Base64.h